.commitlint:lint:
    stage: Testing and building modules
    image: registry.gitlab.com/savushkin.i/environment/builder:latest
    cache:
        key: ${CI_COMMIT_REF_SLUG}-dependency
        paths:
            - node_modules/
        policy: pull
    script:
        - echo "$CI_COMMIT_MESSAGE" | ./node_modules/.bin/commitlint
    except:
        variables:
            - $CI_COMMIT_MESSAGE =~ /^chore\(release\)/

.commitlint:lint:general:
    extends:
        - .commitlint:lint
        - .general-environment

.commitlint:lint:develop:
    extends:
        - .commitlint:lint
        - .develop-environment

.commitlint:lint:test:
    extends:
        - .commitlint:lint
        - .test-environment

.commitlint:lint:stage:
    extends:
        - .commitlint:lint
        - .stage-environment

.commitlint:lint:production:
    extends:
        - .commitlint:lint
        - .production-environment
